/* くるくるボタン */
.R-btn {
  height: calc(1.1rem + 7px);
  font-size: 1.1rem;
  overflow: hidden;
  line-height: 100%;
  position: relative;
  display: block;
  span {
    display: block;
    transition: all 0.3s;
    line-height: 110%;
  }
}

.R-btn::before {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  width: 110%;
  height: 1px;
  border-bottom: 3px solid var(--orange);
  display: block;
  transition: all 0.3s;
  transform: translateX(-50%);
  z-index: 2;
}
.R-btn::after {
  content: attr(data-text);
  position: absolute;
  top: calc(110% - 2px);
  left: 0;
  transition: all 0.3s;
  opacity: 0.8;
  z-index: 1;
}
.R-btn:hover span {
  transform: translateY(-110%);
}
.R-btn:hover::after {
  top: calc(110% - 5px);
  transform: translateY(-110%);
}
.R-btn:hover::before {
  width: 0;
}

/* くるくるボタンここまで */

/* CVボタン */
.cv-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 15px 20px;
  gap: 15px;
  border-radius: 20px;
  border: 3px solid var(--orange);
  width: clamp(300px, 35%, 500px);
  margin: 30px auto;
  background-color: var(--orange);
  transition: all 0.3s;

  .cv-icon-wrap {
    width: 30px;
    height: 30px;
    position: relative;
    overflow: hidden;
  }

  .cv-icon {
    position: absolute;
    width: 76.4706px;
    height: 61.985px;
    transition: all 0.3s;
    top: 0;
    right: 0;

    svg {
      width: 30px;
      height: 30px;
      position: absolute;

      path {
        fill: white;
        transition: all 0.3s;
      }
    }
    .cls-1 {
      top: 0;
      right: 0;
    }

    .cls-2 {
      bottom: 0;
      left: 0;
    }
  }

  span {
    white-space: nowrap;
  }
}

.cv-btn:hover {
  background-color: white;
  .cv-icon {
    transform: translate(45.9412px, -31.8235px);

    svg {
      path {
        fill: var(--orange);
      }
    }
  }

  span {
    color: var(--orange);
  }
}
/* CVボタンここまで */

.school-availability-link{
  margin: 0 auto;
  margin-bottom: 20px;
  display: block;
  width: fit-content;
  font-size: .75rem;
  color: var(--lblack);
  padding-bottom: 5px;
  border-bottom: 1px solid var(--lblack);
  transition: all .3s;

  &:hover{
    color: var(--lblue);
    border-bottom: 1px solid var(--lblue);
  }
}

/* トップへ */
#to-top-btn{
  position: fixed;
  bottom: 0;
  right: 0;
  width: 80px;
  aspect-ratio: 1/1;
  z-index: 900;
  img{
    width: 100%;
    height: auto;
    transform-origin: 100% 100%;
    transition: all .4s;
  }

  &:hover{
    img{
      transform: scale(1.1);
    }
  }
}

#school-page{
  #to-top-btn{
    bottom:50px ;
  }
}
/* トップへここまで */

/* グロナビ */
#co-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 70px;
  background-color: var(--lorange);
  padding: 15px 20px;
  z-index: 9999;

  .nav-wrap {
    width: 100%;
    height: 100%;
    justify-content: space-around;

    .n-top {
      height: 100%;
      width: auto;

      img {
        height: 100%;
        width: auto;
        transition: all 0.3s;
      }

      .w-tog-sp {
        display: none;
      }
    }

    .n-top:hover {
      img {
        opacity: 0.7;
      }
    }

    .n-u-flex {
      gap: 30px;

      .n-u-ul {
        gap: 20px;

        .n-u-btn {
          height: 100%;
          padding: 10px 15px;
          border-radius: 10px;
          border: 1px solid transparent;
          transition: all 0.3s;
          .flex {
            height: 100%;
            gap: 10px;
            align-items: center;
            svg {
              height: 100%;
              width: auto;
              transition: all 0.3s;
            }
            span {
              font-size: 1rem;
              transition: all 0.3s;
            }
          }
        }

        .n-btn-se {
          background-color: var(--orange);
          svg {
            fill: var(--navy);
          }
        }

        .n-btn-lo {
          background-color: var(--navy);
          cursor: pointer;
          overflow: hidden;
          svg {
            fill: white;
          }
          span {
            color: white;
            position: relative;
            transition: all .3s;
            user-select: none;

            &::after{
              content: attr(data-text);
              position: absolute;
              bottom:  calc(110% + 10px);
              left: 50%;
              transition: all .3s;
              font-size: 1rem;
              transform: translate(-50%, 0);
            }
          }

          &.posi{
            span{
              transform: translateY(160%);

              &::after{
                transform: translate(-50%, 10%);
              }
            }
          }
        }



        .n-btn-se:hover {
          border-color: var(--orange);
          background-color: white;
          svg {
            fill: var(--orange);
          }
          span {
            color: var(--orange);
          }
        }

        .n-btn-lo:hover {
          border-color: var(--navy);
          background-color: white;
          svg {
            fill: var(--navy);
          }
          span {
            color: var(--navy);
          }
        }
      }

      li:has(#mem-co){
        position: relative;
      }

      #mem-co{
        overflow: hidden;
        max-height: 0;
        position: absolute;
        top: 50px;
        left: 50%;
        transform: translateX(-50%);
        width: clamp(200px, 100vw, 400px);
        background-color: var(--lorange);
        border-radius: 0 0 20px 20px;
        padding:0 20px;
        gap: 10px;
        transition: all .6s;
        a{
          width: calc(33% - 10px);
          max-width: 120px;
          transition: all .3s;
          opacity: 0;

          img{
            width: 100%;
            height: auto;
          }

          span{
            font-size: 12px;
            text-align: center;
            width: 100%;
          }

          
        }

        &.posi{
          max-height: 300px;
          padding: 20px;

          a{
            opacity: 1;

            &:hover{
              opacity: .6;
            }
          }
        }
      }

      .n-sp-back {
        .n-u-ul {
          display: none;
        }
        ul.flex {
          gap: 20px;
          height: 100%;
          align-items: center;

          li {
            height: fit-content;
          }
        }
      }
    }

    .cn-btn {
      display: none;
    }
  }
  .n-sp-black {
    display: none;
  }
}

@media screen and (max-width: 970px) {
  #co-nav {
    padding: 8px 10px;
    .nav-wrap {
      align-items: center;
      justify-content: space-between;
      padding-right: 70px;

      .n-top {
        height: 60%;
        .w-tog-sp {
          display: block;
        }
        .w-tog-pc {
          display: none;
        }
      }
      .n-u-flex {
        .n-u-ul {
          gap: 5px;
          .n-u-btn {
            padding: 5px;
            width: 80px;
            .flex {
              flex-direction: column;
              justify-content: center;
              gap: 3px;
              svg {
                height: auto;
                width: 27px;
                display: block;
              }
              span {
                font-size: 0.6rem;
              }
            }
          }
        }
        .n-sp-back {
          position: fixed;
          top: 70px;
          right: 0;
          transform: translateX(105%);
          z-index: 9999;
          transition: all 0.6s;
          padding: 50px 40px;
          width: clamp(200px, 85%, 600px);
          border-radius: 15px 0 0 15px;
          background-color: var(--lorange);
          display: flex;
          gap: 50px;

          ul.flex {
            flex-direction: column;
            width: 100%;
            justify-content: center;
            align-items: end;
            gap: 50px;

            li {
              width: 80%;
              max-width: 200px;
              .R-btn {
                text-align: right;
              }
              .R-btn::after {
                left: auto;
                right: 0;
              }
              .R-btn::before {
                left: auto;
                right: 0;
                transform: translateX(0);
              }
            }
          }

          .n-u-ul {
            gap: 20px;
            display: flex;
            flex-direction: column;
            align-items: end;
            width: 100%;

            a {
              height: 70px;
              padding: 10px 15px;
              border-radius: 10px;
              border: 1px solid transparent;
              transition: all 0.3s;
              width: 100%;
              max-width: 200px;
              .flex {
                height: 100%;
                gap: 10px;
                align-items: center;
                flex-direction: row;
                svg {
                  height: 100%;
                  width: auto;
                  transition: all 0.3s;
                }
                span {
                  font-size: 1rem;
                  transition: all 0.3s;
                }
              }
            }

            .n-btn-se {
              background-color: var(--orange);
              svg {
                fill: var(--navy);
              }
            }

            .n-btn-lo {
              background-color: var(--navy);
              svg {
                fill: white;
              }
              span {
                color: white;

                
              }
            }

            .n-btn-se:hover {
              border-color: var(--orange);
              background-color: white;
              svg {
                fill: var(--orange);
              }
              span {
                color: var(--orange);
              }
            }

            .n-btn-lo:hover {
              border-color: var(--navy);
              background-color: white;
              svg {
                fill: var(--navy);
              }
              span {
                color: var(--navy);
              }
            }

            
          }
        }

        .n-u-ul{
          .n-u-btn{
            .flex{
              span{
                &::after{
                  top: 50%;
                  left: 150px;
                  bottom: auto;
                  transform: translate(0, -50%);
                  font-size: 0.6rem;
                  white-space: nowrap;
                }
              }
            }

            &.posi{
              span{
                transform: translate(-80px, 0);
                

                &::after{
                  transform: translate(-50px, -50%);
                  
                }
              }
            }
          }
        }

        #mem-co{
          position: fixed;
              left: auto;
              transform: translateX(0);
              right: 0;
              border-radius: 0 0 0 15px;
              top: 70px;

              
            }
        @media screen and (max-width: 560px) {
          .n-sp-back {
            flex-direction: column;
          }
        }
      }

      .cn-btn {
        cursor: pointer;
        position: fixed;
        top: 0;
        right: 0;
        width: 70px;
        height: 70px;
        background-color: var(--navy);
        border-radius: 0 0 0 10px;
        padding: 10px 10px 3px 10px;
        display: flex;
        flex-direction: column;
        z-index: 9999;
        justify-content: space-between;

        align-items: center;
        .hum-flex {
          flex-direction: column;
          align-items: center;
          gap: 5px;
          width: 100%;
          transition: all 0.3s;
          flex: 1;
          justify-content: center;

          span {
            display: block;
            background-color: white;
            width: 80%;
            height: 5px;
            border-radius: 30px;
            transition: all 0.4s;
            transform-origin: 50% 50%;
            position: relative;
          }
        }
        .hum-text {
          position: relative;
          width: 100%;
          height: 1rem;
          span {
            font-size: 0.7rem;
            color: white;
            width: 100%;
            text-align: center;
            position: absolute;
            top: 0;
            left: 0;
            transition: all 0.15s;
          }
          .ht-posi {
            opacity: 0;
            visibility: hidden;
          }
          .ht-nega {
            opacity: 1;
            visibility: visible;
          }
        }
      }

      .cn-btn:hover {
        .hum-flex {
          gap: 8px;
        }
      }
    }

    .n-sp-black {
      display: block;
      opacity: 0;
      visibility: hidden;
      transition: all 0.4s;
      user-select: none;
      position: fixed;
      z-index: 999;
      inset: 0;
      margin: auto;
      background-color: rgba(000, 000, 000, 0.7);
    }
  }

  #co-nav.posi {
    .nav-wrap {
      .n-sp-back {
        transform: translateX(0);
      }
      .cn-btn {
        background-color: var(--orange);
        border-radius: 0;
        .hum-flex {
          .hf-1 {
            transform: rotate(45deg);
            top: 10px;
          }
          .hf-2 {
            opacity: 0;
            visibility: hidden;
          }
          .hf-3 {
            transform: rotate(-45deg);
            bottom: 10px;
          }
        }
        .hum-text {
          .ht-posi {
            opacity: 1;
            visibility: visible;
          }
          .ht-nega {
            opacity: 0;
            visibility: hidden;
          }
        }
      }
      .cn-btn:hover {
        .hum-flex {
          gap: 5px;
          span {
            background-color: var(--navy);
          }
        }
      }
    }
    .n-sp-black {
      opacity: 1;
      visibility: visible;
    }
  }
}

/* グロナビここまで */

/* フッター */
#new-footer {
  width: 100%;
  padding-bottom: 80px;
  background-color: var(--navy);
  padding: 100px 5%;

  .f1-flex {
    width: clamp(250px, 30%, 350px);
    margin: 30px auto 80px auto;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    svg {
      width: 100%;
      height: auto;
      .cls-1 {
        fill: white;
        transition: all 1.2s;
      }
    }
    span {
      color: white;
      text-align: center;
      font-size: 0.85rem;
      transition: all 1.2s;
    }
  }

  .f1-flex:hover {
    svg {
      .cls-1 {
        fill: var(--orange);
      }
    }
    span {
      color: var(--orange);
    }
  }

  .f-wrap {
    width: 95%;
    max-width: 1300px;
    display: flex;
    justify-content: center;
    align-items: end;
    flex-wrap: wrap;
    gap: 100px;
    margin: 0 auto;
  }
  .f-1 {
    gap: 100px;
    min-width: 300px;
    justify-content: center;
    flex-wrap: wrap;
    section {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      min-width: 280px;
    }
    h2 {
      color: var(--orange);
      margin-bottom: 30px;
    }

    ul {
      display: flex;
      flex-direction: column;
      gap: 30px;
      width: 100%;

      li {
        height: fit-content;
        a {
          span {
            color: white;
          }
        }
        a::after {
          color: white;
        }
        .R-btn::before {
          left: 0;
          transform: translateX(0);
        }
      }
    }

    address {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      p {
        font-size: 1rem;
        color: white;
        margin-bottom: 10px;
        span {
          display: block;
          color: white;
        }
        .f-ad-1 {
          color: var(--morange);
        }

        .f-ad-2 {
          color: white;
          font-size: 1.3rem;
          margin-bottom: 30px;
          display: block;
        }

        a {
          color: var(--lblue);
          display: inline-block;
          padding-bottom: 3px;
          border-bottom: 1px solid var(--lblue);
          transition: all 0.3s;
        }
        a:hover {
          opacity: 0.6;
        }
      }
    }
  }

  #under_footer {
    width: 100%;
    max-width: 1200px;
    margin: 30px auto;
    h3{
      width: fit-content;
      margin: 20px auto;
      font-size: .85rem;
      text-align: center;
      color: white;
      

      span{
        color: white;
      }
    }
    ul {
      max-width: 1200px;
    margin: 30px auto;
      border-top: 1px solid white;
      padding-top: 30px;
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      gap: 30px;
      li {
        display: block;
        width: clamp(230px, 20%, 400px);
        a {
          color: white;
          font-size: 0.75rem;
          transition: all 0.3s;
          text-align: center;
          span {
            display: block;
            font-size: 120%;
            color: white;
          }
        }
        a:hover {
          opacity: 0.6;
        }
      }
    }
  }

  .foot-o {
    width: 95%;
    max-width: 1200px;
    margin: 100px auto;
    ul {
      display: flex;
      gap: 30px;
      justify-content: center;
      flex-wrap: wrap;
      li {
        a {
          color: white;
          transition: all 0.3s;
          font-size: 0.9rem;
        }
        a:hover {
          opacity: 0.6;
        }
      }
    }
  }

  #copyright {
    width: fit-content;
    margin: 0 auto;
    margin-top: 50px;
    small {
      font-size: 0.7rem;
      color: white;
    }
  }
}
/* フッターここまで */

/* パンくずリスト */
.s-bc {
  width: 100%;
  padding: 10px 10%;
  background-color: var(--morange);
  .aioseo-breadcrumbs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    row-gap: 5px;

    span{
      line-height: 1;
    }

    .aioseo-breadcrumb {
      font-size: 0.85rem;
      display: flex;
      align-items: center;
      line-height: 100%;
      color: #7c7c7c;

      a{
        transition: all .3s;
        color: #363636;
      }

      a:hover{
        opacity: .7;
      }
    }

    

    .aioseo-breadcrumb-separator {
      color: #7c7c7c;
      display: block;
      font-size: 0.9rem;
      margin: 0 10px;
      
    }

    .breadcrumb-current {
      color: #7c7c7c;
    }
  }
}

@media screen and (max-width: 970px) {
  .s-bc {
    padding-inline: 5%;

    .aioseo-breadcrumb  {
    .aioseo-breadcrumb {
      font-size: 0.65rem;
    }
  }
  }

  
}
/* パンくずリストここまで */

/* アーカイブのトップに戻る */
.nv-re-wrap{
  width: 100%;
  margin: 30px auto;

  .nv-re-btn{
    display: block;
    font-size: 1.1rem;
    padding-bottom:7px ;
    width: fit-content;
    margin: 0 auto;
    
    transition: all .3s;
    position: relative;

    &::after{
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 2px;
      background-color: var(--lblue);
      transition: all .3s;
    }

    &:hover{
      color: var(--lblack);
    }

    &:hover::after{
      width: 0;
    }
  }
}
/* アーカイブのトップに戻るここまで */